Results 1 to 4 of 4

Thread: M7100 Recovery & Last ProGrammer R18 Firmware

  1. #1
    Join Date
    Sep 04, 2015
    Location
    In the Corn
    Posts
    480
    Thanks
    289
    Thanked 446 Times in 171 Posts
    Country: United States

    Default M7100 Recovery & Last ProGrammer R18 Firmware

    Hi all,

    Trying to recover an M7100 thatís lost itís feature/encryption data. I know that means my feature codes are toast but this was an analog only radio so itís not a big deal anyway.

    To recover I need a radio code bin file, and ProGrammer doesnít come with any by default. Does anyone have the last firmware that was compatible with ProGrammer R18? I believe itís J2R11C02.

    Thanks!


  2. #2
    Join Date
    Sep 04, 2015
    Location
    In the Corn
    Posts
    480
    Thanks
    289
    Thanked 446 Times in 171 Posts
    Country: United States

    Default

    Alright I got ahold of the proper code and dsp files.

    However I believe this radio has one foot in the grave. Won't take tracking or feature data and recovery keeps failing when trying to erase EEPROM. Anybody have any ideas on how to bring this thing back from the edge? Or is it time to hunt for a new brick?

  3. #3
    Join Date
    Jan 21, 2020
    Posts
    15
    Thanks
    3
    Thanked 1 Time in 1 Post
    Country: Canada

    Default

    If your functionality string is 01 DC 0D (example) you don't have to put the 0 at the end!
    There are tracking data in the program and you are not obliged to delete the EEPROM.

    How did you go about recovering?

  4. #4
    Join Date
    May 16, 2012
    Location
    3 Warnings for Smashing ChiComm Radios
    Posts
    62
    Thanks
    33
    Thanked 49 Times in 18 Posts
    Country: Algeria

    Default

    What version of firmware is in this radio? Firmware above a certain point M7100 required RPM and not ProGrammer. The other indication may be the corruption of feature encryption/tracking data. Using ProGrammer on such a radio can yield this result.

    Going from memory I believe J2R13 and above requires RPM.
    J2R11 and below required ProGrammer.

    If your radio has J2R13 or above, there is a process to downgrade it to be ProGrammer compatible. But I believe there are files you need from RPM as the bootloader in the radio changed. Somewhere there is information floating around about this.

    Cheers,
    SD.